Update default office hours
curl --request PUT \
--url https://api.open.cx/office-hours/default \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"iana_timezone": "<string>",
"shifts": [
{
"start_time": "<string>",
"end_time": "<string>"
}
]
}
'import requests
url = "https://api.open.cx/office-hours/default"
payload = {
"iana_timezone": "<string>",
"shifts": [
{
"start_time": "<string>",
"end_time": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
iana_timezone: '<string>',
shifts: [{start_time: '<string>', end_time: '<string>'}]
})
};
fetch('https://api.open.cx/office-hours/default', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"iana_timezone": "<string>",
"shifts": [
{
"id": "<string>",
"start_time": "<string>",
"end_time": "<string>"
}
]
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}Office Hours
Update default
Set or replace the organization-wide default office hours. Use when configuring the fallback business-hours coverage that applies when a conversation has no team-specific schedule.
PUT
/
office-hours
/
default
Update default office hours
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Was this page helpful?
⌘I